# $Id: qdvdauthor.spec 3778 2005-12-07 21:14:31Z dries $
# Authority: dries
# Upstream: <qdvdauthor$users,sf,net>

%{?dist: %{expand: %%define %dist 1}}

Summary: Frontend for dvdauthor
Name: qdvdauthor
Version: 0.0.10
Release: 1.rf
License: GPL
Group: Applications/Multimedia
URL: http://qdvdauthor.sourceforge.net/

Packager: Dries Verachtert <dries@ulyssis.org>
Vendor: Dag Apt Repository, http://dag.wieers.com/apt/

Source: http://dl.sf.net/qdvdauthor/qdvdauthor-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: netpbm-devel, kdelibs-devel, gcc-c++, gettext, xine-lib-devel
%{?fc4:BuildRequires: compat-gcc-32-c++}
Requires: dvdauthor, mjpegtools

%description
'Q' DVD-Author is a GUI frontent for dvdauthor and related tools. The goal is 
to provide an easy-to-use, yet powerful and complete interface to generate DVD
menus, slideshows, and videos to burn on a DVD under Linux.

%prep
%setup
%{__perl} -pi -e 's|make;$|#make|g;' configure

# FIXME: also add .desktop icons for qrender, qslideshow, qplayer?

%{__cat} <<EOF > qdvdauthor.desktop
[Desktop Entry]
Name=qdvdauthor
Comment=frontend for dvdauthor
Exec=qdvdauthor
Terminal=false
Type=Application
StartupNotify=true
Categories=Application;AudioVideo;
EOF

%build
%{?fc4:export MAKEPARAM="CXX=g++32"}
./configure --prefix=%{_prefix} --build-qplayer --build-qslideshow
qmake all.pro
%{__make} %{?_smp_mflags} ${MAKEPARAM} CFLAGS="-O2 -Wall" CXXFLAGS="-DQT_THREAD_SUPPORT -O2 -Wall"

%install
%{__rm} -rf %{buildroot}
export INSTALL_ROOT=%{buildroot}
%makeinstall
%{__install} -D bin/qdvdauthor %{buildroot}%{_bindir}/qdvdauthor
%{__install} -D bin/qplayer %{buildroot}%{_bindir}/qplayer
%{__install} -D bin/qrender %{buildroot}%{_bindir}/qrender
%{__install} -D bin/qslideshow %{buildroot}%{_bindir}/qslideshow


%{__install} -d -m0755 %{buildroot}%{_datadir}/applications/
desktop-file-install --vendor rpmforge             \
	--add-category X-Red-Hat-Base              \
	--dir %{buildroot}%{_datadir}/applications \
	qdvdauthor.desktop

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc COPYING INSTALL README TODO
%{_bindir}/qdvdauthor
%{_bindir}/qrender
%{_bindir}/qplayer
%{_bindir}/qslideshow
%{_datadir}/applications/*.desktop
%{_datadir}/qdvdauthor/

%changelog
* Mon Nov 21 2005 Dries Verachtert <dries@ulyssis.org> - 0.0.10-1 - 3778/dries
- Initial package.
